Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata
Interface MetadataFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MetadataFactoryImpl

    public interface MetadataFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `MetadataPackage`

Field Summary
`static MetadataFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`AuthorType` | `createAuthorType()` Returns a new object of class 'Author Type'.
`CodedMetadataType` | `createCodedMetadataType()` Returns a new object of class 'Coded Metadata Type'.
`DocumentEntryType` | `createDocumentEntryType()` Returns a new object of class 'Document Entry Type'.
`DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'.
`FolderType` | `createFolderType()` Returns a new object of class 'Folder Type'.
`InternationalStringType` | `createInternationalStringType()` Returns a new object of class 'International String Type'.
`LocalizedStringType` | `createLocalizedStringType()` Returns a new object of class 'Localized String Type'.
`MultipleDocumentSetType` | `createMultipleDocumentSetType()` Returns a new object of class 'Multiple Document Set Type'.
`ProvideAndRegisterDocumentSetType` | `createProvideAndRegisterDocumentSetType()` Returns a new object of class 'Provide And Register Document Set Type'.
`SubmissionSetType` | `createSubmissionSetType()` Returns a new object of class 'Submission Set Type'.
`MetadataPackage` | `getMetadataPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final MetadataFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAuthorType

    AuthorType createAuthorType()

  Returns a new object of class 'Author Type'.

  Returns:
    a new object of class 'Author Type'.

### createCodedMetadataType

    CodedMetadataType createCodedMetadataType()

  Returns a new object of class 'Coded Metadata Type'.

  Returns:
    a new object of class 'Coded Metadata Type'.

### createDocumentEntryType

    DocumentEntryType createDocumentEntryType()

  Returns a new object of class 'Document Entry Type'.

  Returns:
    a new object of class 'Document Entry Type'.

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createFolderType

    FolderType createFolderType()

  Returns a new object of class 'Folder Type'.

  Returns:
    a new object of class 'Folder Type'.

### createInternationalStringType

    InternationalStringType createInternationalStringType()

  Returns a new object of class 'International String Type'.

  Returns:
    a new object of class 'International String Type'.

### createLocalizedStringType

    LocalizedStringType createLocalizedStringType()

  Returns a new object of class 'Localized String Type'.

  Returns:
    a new object of class 'Localized String Type'.

### createMultipleDocumentSetType

    MultipleDocumentSetType createMultipleDocumentSetType()

  Returns a new object of class 'Multiple Document Set Type'.

  Returns:
    a new object of class 'Multiple Document Set Type'.

### createProvideAndRegisterDocumentSetType

    ProvideAndRegisterDocumentSetType createProvideAndRegisterDocumentSetType()

  Returns a new object of class 'Provide And Register Document Set Type'.

  Returns:
    a new object of class 'Provide And Register Document Set Type'.

### createSubmissionSetType

    SubmissionSetType createSubmissionSetType()

  Returns a new object of class 'Submission Set Type'.

  Returns:
    a new object of class 'Submission Set Type'.

### getMetadataPackage

    MetadataPackage getMetadataPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD